opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | List of all members
cv::SparseMatConstIterator_< _Tp > Class Template Reference

`#include <core.hpp>`

Inheritance diagram for cv::SparseMatConstIterator_< _Tp >:

## Public Types

typedef std::forward_iterator_tag | iterator_category

## Public Member Functions

const _Tp & | operator* () const
| the element access operator
SparseMatConstIterator_ & | operator++ ()
| moves iterator to the next element
SparseMatConstIterator_ | operator++ (int)
| moves iterator to the next element
SparseMatConstIterator_ & | operator= (const SparseMatConstIterator_ &it)
| the assignment operator
| SparseMatConstIterator_ ()
| the default constructor
| SparseMatConstIterator_ (const SparseMat_< _Tp > *_m)
| the full constructor setting the iterator to the first sparse matrix element
| SparseMatConstIterator_ (const SparseMatConstIterator_ &it)
| the copy constructor
Public Member Functions inherited from cv::SparseMatConstIterator
const SparseMat::Node * | node () const
| returns the current node of the sparse matrix. it.node->idx is the current element index
SparseMatConstIterator & | operator++ ()
| moves iterator to the next element
SparseMatConstIterator | operator++ (int)
| moves iterator to the next element
SparseMatConstIterator & | operator-- ()
| moves iterator to the previous element
SparseMatConstIterator | operator-- (int)
| moves iterator to the previous element
SparseMatConstIterator & | operator= (const SparseMatConstIterator &it)
| the assignment operator
void | seekEnd ()
| moves iterator to the element after the last element
| SparseMatConstIterator ()
| the default constructor
| SparseMatConstIterator (const SparseMat *_m)
| the full constructor setting the iterator to the first sparse matrix element
| SparseMatConstIterator (const SparseMatConstIterator &it)
| the copy constructor
template<typename _Tp >
const _Tp & | value () const
| template method returning the current matrix element

## Additional Inherited Members

Public Attributes inherited from cv::SparseMatConstIterator
size_t | hashidx
const SparseMat * | m
uchar * | ptr

## Detailed Description

### template<typename _Tp>
class cv::SparseMatConstIterator_< _Tp >

Template Read-Only Sparse Matrix Iterator Class.

This is the derived from SparseMatConstIterator class that introduces more convenient operator *() for accessing the current element.

## Member Typedef Documentation

template<typename _Tp>

typedef std::forward_iterator_tag cv::SparseMatConstIterator_< _Tp >::iterator_category

## Constructor & Destructor Documentation

template<typename _Tp >

SparseMatConstIterator_< _Tp >::SparseMatConstIterator_ | ( |  | ) |

inline

the default constructor

template<typename _Tp >

SparseMatConstIterator_< _Tp >::SparseMatConstIterator_ | ( | const SparseMat_< _Tp > * | _m | ) |

inline

the full constructor setting the iterator to the first sparse matrix element

template<typename _Tp >

SparseMatConstIterator_< _Tp >::SparseMatConstIterator_ | ( | const SparseMatConstIterator_< _Tp > & | it | ) |

inline

the copy constructor

## Member Function Documentation

template<typename _Tp >

const _Tp & SparseMatConstIterator_< _Tp >::operator* | ( |  | ) | const

inline

the element access operator

template<typename _Tp >

SparseMatConstIterator_< _Tp > & SparseMatConstIterator_< _Tp >::operator++ | ( |  | ) |

inline

moves iterator to the next element

template<typename _Tp >

SparseMatConstIterator_< _Tp > SparseMatConstIterator_< _Tp >::operator++ | ( | int |  | ) |

inline

moves iterator to the next element

template<typename _Tp >

SparseMatConstIterator_< _Tp > & SparseMatConstIterator_< _Tp >::operator= | ( | const SparseMatConstIterator_< _Tp > & | it | ) |

inline

the assignment operator

The documentation for this class was generated from the following files:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/core.hpp
- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/mat.hpp